Kerbal Space Program - Bug #15795

Mirror partners of parts stack-attached in mirror symmetry start rotated 180 degrees off from how
they should be

08/25/2017 11:14 AM - swijr-swis
Description

1.3.1.1836 Win x64 (but problem has existed at least since 1.0.2 and perhaps always).

Description:
When stack-attaching parts with mirror symmetry, the mirrored parts are placed unrotated (same rotation/orientation as the original
parts).

The result is that mirrored stack-attached parts never actually look mirrored, like they do when they are stack-attached in 2x radial
symmetry or radially attached in mirror symmetry.

Due to the starting situation and the clockwise/counter-clockwise mirrored rotation, there is no way to rotate a mirrored stack such
that they end up looking mirrored, the angle of the mirrored stack is always off.

The only workaround to achieve mirrored looking stacks is by NOT using mirror symmetry on the stack-attached parts, so one can
manually rotate each stacks so they look right... with all obvious disadvantages of not being able to benefit from mirrored
adjustments. Very bothersome.

This happens both in SPH and VAB, and in any instance where parts can be stack-attached in mirror symmetry (ie. it also happens
when stack-attaching parts in mirror symmetry under an Mk2 Bicoupler or TVR-200/TVR-200L Bi-couplers).

Expected:
Mirrored stack-attached parts should start rotated 180 degrees opposite of each other, just like when attaching them radially, so they
always look mirrored regardless of any rotation of the stack along the longitudinal axle.

Reproduction:

- Start a new craft (SPH or VAB doesn't matter, it happens in both)

- Place any part as root (eg. a probe core)

- Radially attach an MkO0 LF tank in mirror symmetry (the texture helps to see the problem)

- Notice that when radially attached, the mirrored part is rotated 180 degrees compared to the symmetry partner, as one would
expect. The parts look mirrored (*), and when using the rotation gizmo continue to look mirrored regardless of the rotation angles.
- Stack-attach a second MkO0 LF tank in mirror symmetry to the bottom node of the first.

- Notice from the texture that the mirrored tank does not get rotated 180 degrees and thus does not look mirrored, when it should.
Compare with the tank right above it, which has the correct/expected rotation.

- Stack-attach a Spark engine in mirror symmetry to the bottom node of the 2nd tank.

- Notice from the engine model that the rotation issue in mirror symmetry is not just the texture, the whole model of the parts is
rotated 180 degrees 'off' from how it should be.

- Use the offset gizmo to rotate along the longitudinal axle.

- Notice that due to the wrong starting rotation, mirrored stack-attached parts can never be rotated such that they end up looking
mirrored.

Suggested solution:
Rotate the mirrored stack-attached part 180 degrees, just like when they are radially attached. This would solve the whole issue.

(*: I know the parts are not actually mirror images in the strictest sense, but the look is still for almost all purposes a very convincing
'mirror', which is all we really need.)

| am editing a video to clarify the issue, a link will be added here.
History

#1 - 08/26/2017 05:37 AM - swjr-swis

A few corrections (bold, underlined) to the initial text, since | am not given the option to edit directly:

Expected:
Mirrored stack-attached parts should start rotated 180 degrees opposite of each other, just like when attaching them 2x radially, so they always
look mirrored regardless of any rotation of the stack along the longitudinal axle.

Reproduction:

- Start a new craft (SPH or VAB doesn't matter, it happens in both)

- Place any part as root (eg. a probe core)

- Surface attach an MkO LF tank in mirror symmetry (the texture helps to see the problem)

- Notice that when surface attached, the mirrored part is rotated 180 degrees compared to the symmetry partner, as one would expect. The
parts look mirrored (*), and when using the rotation gizmo continue to look mirrored regardless of the rotation angles.

Suggested solution:
Rotate the mirrored stack-attached part 180 degrees, just like when they are 2x radially attached. This would solve the whole issue.

#2 - 08/26/2017 11:47 AM - bewing

So this is a visual issue only? In that case it should be a Very Low.

#3 - 08/26/2017 03:08 PM - swjr-swis

- Severity changed from Low to Very Low

Video for clarification: https://youtu.be/89mOP_yR0xk

Priority lowered as mentioned.

#5 - 09/05/2017 04:14 PM - babeltester02
- Status changed from New to Confirmed

- % Done changed from 0 to 10

#6 - 10/05/2017 03:07 PM - Squelch

- Project changed from KSP Pre-Release to Kerbal Space Program
- Category changed from Editor to 81

- Version changed from Build 01836 to 1.3.0

This is not peculiar to 1.3.1 Pre-Release. Therefore moving to the main tracker.

#7 - 06/24/2021 11:04 PM - victorr
- Status changed from Confirmed to Ready to Test
- Target version setto 1.12.0

- % Done changed from 10 to 80

We have made some changes in this last 1.12.0 release and would like some feedback on this issue. Thanks.
